Subject: Re: bug#3494: 23.0.94; line-move-visual: temporary goal column confused by hscrolling

From: Teemu Likonen <[email-masked]>
Date: Sat, 11 Jul 2009 21:02:48 +0300

On 2009-07-11 13:25 (-0400), Chong Yidong wrote:

> Teemu Likonen <[email-masked]> writes:
>
>>  1. emacs -Q -f toggle-truncate-lines
>>
>>  2. Don't change the size of the window. Create test buffer with
>>     commands:
>>
>>         C-u 85 a RET
>>         C-u 100 b RET
>>
>>  3. Move the cursor to the end of the first (the line with a's).
>>
>>  4. Enable goal column: C-x C-n
>>
>>  5. Repeat C-n and C-p. The column changes quite wildly.
>>
>> The problem goes away if I set line-move-visual to nil.
>
> I can't reproduce this.  Could you try with the latest patch in the
> trunk?

The above is 100% reproducible in my Debian GNU/Linux system. I use the
GTK version

    GNU Emacs 23.1.50.1 (i686-pc-linux-gnu, GTK+ Version 2.12.12) of
    2009-07-11 on mithlond

This is the revision I compiled (with make bootstrap):

    commit 9bcb78f2eeba70b10d6d1d74dd98c1b36dfc1ca6
    Author: Chong Yidong <[email-masked]>
    Date:   2009-07-11 16:36:05 +0000

        * simple.el (temporary-goal-column): Change the value for
        line-move-visual to a cons cell.
        (line-move-visual): Record or set the window hscroll, if
        necessary (Bug#3494).
        (line-move-1): Handle cons value of temporary-goal-column.